# Uses of Interface
org.apache.datasketches.quantilescommon.QuantilesDoublesSketchIteratorAPI

Packages that use QuantilesDoublesSketchIteratorAPI
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.quantiles
The quantiles package contains stochastic streaming algorithms that enable single-pass analysis of the distribution of a stream of quantiles.
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.

## Uses of QuantilesDoublesSketchIteratorAPI in org.apache.datasketches.kll

Classes in org.apache.datasketches.kll that implement QuantilesDoublesSketchIteratorAPI
Modifier and Type
Class
Description
`final class`
`KllDoublesSketchIterator`
Iterator over KllDoublesSketch.
Methods in org.apache.datasketches.kll that return QuantilesDoublesSketchIteratorAPI
Modifier and Type
Method
Description
`QuantilesDoublesSketchIteratorAPI`
KllDoublesSketch.`iterator()`

## Uses of QuantilesDoublesSketchIteratorAPI in org.apache.datasketches.quantiles

Classes in org.apache.datasketches.quantiles that implement QuantilesDoublesSketchIteratorAPI
Modifier and Type
Class
Description
`final class`
`QuantilesDoublesSketchIterator`
Iterator over QuantilesDoublesSketch.
Methods in org.apache.datasketches.quantiles that return QuantilesDoublesSketchIteratorAPI
Modifier and Type
Method
Description
`QuantilesDoublesSketchIteratorAPI`
QuantilesDoublesSketch.`iterator()`

## Uses of QuantilesDoublesSketchIteratorAPI in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon that return QuantilesDoublesSketchIteratorAPI
Modifier and Type
Method
Description
`QuantilesDoublesSketchIteratorAPI`
QuantilesDoublesAPI.`iterator()`
Gets the iterator for this sketch, which is not sorted.